#Module-Specific definitions
%define mod_name mod_openpgp
%define mod_conf A97_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	A Apache module that implements PGP access authorization
Name:		apache-%{mod_name}
Version:	0.5.0
Release:	%mkrel 5
Group:		System/Servers
License:	Apache License
URL:		http://wiki.buanzo.org/
Source0:	http://www.buanzo.com.ar/files/%{mod_name}-%{version}.tgz
Source1:	%{mod_conf}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	libgpgme-devel
BuildRequires:	libgpg-error-devel
Obsoletes:	apache-mod_auth_openpgp
Provides:	apache-mod_auth_openpgp = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Mod_OpenPGP is an Apache module that implements access authorization to
servers, vhosts, or directories when incoming requests' HTTP OpenPGP signatures
are valid and known by the local keyring. It's the Apache companion for
Firefox's extension "Enigform".

%prep

%setup -q -n %{mod_name}-%{version}

cp %{SOURCE1} %{mod_conf}

%build

%{_sbindir}/apxs -c `apr-1-config --cppflags` -D_FILE_OFFSET_BITS=64 -lgpgme -lgpg-error -I%{_includedir}/gpgme mod_openpgp.c

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changelog README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Tue May 24 2011 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-5mdv2011.0
+ Revision: 678374
- mass rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-4mdv2011.0
+ Revision: 588041
- rebuild

* Tue Mar 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-3mdv2010.1
+ Revision: 516976
- fix build
- rebuilt for apache-2.2.15
- fix build
- rebuild

* Sun Jun 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-1mdv2010.0
+ Revision: 387668
- 0.5.0
- renamed from mod_auth_openpgp to mod_openpgp
- renamed

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-5mdv2009.1
+ Revision: 325544
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-4mdv2009.0
+ Revision: 234666
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-3mdv2009.0
+ Revision: 215536
- fix rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.2.1-2mdv2008.1
+ Revision: 135820
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-2mdv2008.0
+ Revision: 82523
- rebuild

* Tue Jun 19 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-1mdv2008.0
+ Revision: 41313
- 0.2.1

* Sun Jun 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdv2008.0
+ Revision: 34844
- Import apache-mod_auth_openpgp



* Sun Jun 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdv2008.0
- initial Mandriva package
